# Interface HttpJspPage

All Superinterfaces:
  `JspPage, jakarta.servlet.Servlet`

public interface HttpJspPage extends JspPage
The HttpJspPage interface describes the interaction that a JSP Page Implementation Class must satisfy when using the HTTP protocol.

The behaviour is identical to that of the JspPage, except for the signature of the _jspService method, which is now expressible in the Java type system and included explicitly in the interface.

See Also:
  - `JspPage`

## Method Summary

Modifier and Type
Method
Description
`void`
`_jspService(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
The _jspService()method corresponds to the body of the JSP page.

### Methods inherited from interface JspPage

`jspDestroy, jspInit`

### Methods inherited from interface jakarta.servlet.Servlet

`destroy, getServletConfig, getServletInfo, init, service`

## Method Details

### _jspService

void _jspService(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws jakarta.servlet.ServletException, IOException
The _jspService()method corresponds to the body of the JSP page. This method is defined automatically by the JSP container and should never be defined by the JSP page author.

If a superclass is specified using the extends attribute, that superclass may choose to perform some actions in its service() method before or after calling the _jspService() method. See using the extends attribute in the JSP_Engine chapter of the JSP specification.

Parameters:
  `request` - Provides client request information to the JSP.
  `response` - Assists the JSP in sending a response to the client.
Throws:
  `jakarta.servlet.ServletException` - Thrown if an error occurred during the processing of the JSP and that the container should take appropriate action to clean up the request.
  `IOException` - Thrown if an error occurred while writing the response for this page.